﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "WeaponItemClass.h"
#include "BaseWeaponClass.generated.h"

class AEndlessVendettaCharacter;
class UCapsuleComponent;

UCLASS()
class ENDLESSVENDETTA_API ABaseWeaponClass : public AActor
{
	GENERATED_BODY()

public:
	// Sets default values for this actor's properties
	ABaseWeaponClass();

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:
	// Called every frame
	virtual void Tick(float DeltaTime) override;

	UPROPERTY(EditAnywhere)
	FName WeaponName;

	UPROPERTY(EditAnywhere)
	int WeaponDamage;

	UPROPERTY(EditAnywhere)
	float FireRate;

	UPROPERTY(EditAnywhere)
	int MagazineSize;

	UPROPERTY(EditAnywhere)
	UTexture2D* WeaponImage;

	UFUNCTION(BlueprintCallable, Category = "Weapons")
	void TapFire();

	UPROPERTY(VisibleAnywhere)
	ACharacter* player;

	
	

	//Add HoldFire functionality after pistol is complete for holding fire for pistol and make it start spraying innacuratly.
	
	// UFUNCTION(BlueprintCallable, Category = "Weapons")
	// void HoldFire();
	
};
